# TdApi.InputCredentialsNew (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputCredentialsNew

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputCredentialsNew

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputCredentials
it.tdlight.jni.TdApi.InputCredentialsNew

Enclosing class:
  TdApi

public static final class TdApi.InputCredentialsNew extends TdApi.InputCredentials
Applies if a user enters new credentials on a payment provider website.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowSave`
True, if the credential identifier can be saved on the server side.
`static final int`
`CONSTRUCTOR`
`String`
`data`
JSON-encoded data with the credential identifier from the payment provider.

## Constructor Summary

Constructors
Constructor
Description
`InputCredentialsNew()`
Applies if a user enters new credentials on a payment provider website.
`InputCredentialsNew(DataInput input)`
Applies if a user enters new credentials on a payment provider website.
`InputCredentialsNew(String data, boolean allowSave)`
Applies if a user enters new credentials on a payment provider website.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### data

public String data
JSON-encoded data with the credential identifier from the payment provider.

### allowSave

public boolean allowSave
True, if the credential identifier can be saved on the server side.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### InputCredentialsNew

public InputCredentialsNew()
Applies if a user enters new credentials on a payment provider website.

### InputCredentialsNew

public InputCredentialsNew(String data, boolean allowSave)
Applies if a user enters new credentials on a payment provider website.

Parameters:
  `data` - String JSON-encoded data with the credential identifier from the payment provider.
  `allowSave` - boolean True, if the credential identifier can be saved on the server side.

### InputCredentialsNew

public InputCredentialsNew(DataInput input) throws IOException
Applies if a user enters new credentials on a payment provider website.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`